Clear
curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credential": {
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"keyPrefix": "<string>",
"revokedAt": "2023-11-07T05:31:56Z",
"slotId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
}LLM Gateway Provider Credentials
Clear
Invokes the c1.api.llm_gateway.v1.ProviderCredentialService.Clear method.
DELETE
/
api
/
v1
/
llm-gateway
/
provider-credentials
/
{slot_id}
Clear
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The slotId field.
Body
application/json
The ClearProviderCredentialRequest message.
Response
200 - application/json
Successful response
The ClearProviderCredentialResponse message.
The ProviderCredential message.
Show child attributes
Show child attributes
Was this page helpful?
⌘I